View Issue Details

IDProjectCategoryView StatusLast Update
0002182CentOS-4traceroutepublic2008-09-10 08:45
Reportermack 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.5 - i386 
Target VersionFixed in Version4.7 
Summary0002182: Traceroute RPM problem
DescriptionThe traceroute installed via in 4.5 (traceroute-1.4a12-24.EL4.1) incorrectly reports MPLS information in ICMP unreachable as icmp checksum wrong. Temporary solution is changing to the rpm shipped with 4.3 or 4.4. (traceroute-1.4a12-24). This problem leads end-users to believe there is a problem with their internet service where none exists.
Additional InformationWorking version DL:
ftp://mirror.alphared.com/CentOS-4.3/CentOS/RPMS/traceroute-1.4a12-24.i386.rpm

Working version:
# rpm -qa | grep traceroute
traceroute-1.4a12-24

# traceroute google.com
traceroute: Warning: google.com has multiple addresses; using 72.14.207.99
traceroute to google.com (72.14.207.99), 30 hops max, 38 byte packets
 1 gateway (64.72.120.1) 0.816 ms 0.508 ms 0.369 ms
 2 t4-4.mpd01.iah01.atlas.cogentco.com (38.99.214.53) 0.396 ms 0.372 ms 0.276 ms
 3 t4-2.mpd01.mci01.atlas.cogentco.com (154.54.5.218) 26.418 ms 26.435 ms 26.410 ms
     MPLS Label=509 CoS=5 TTL=1 S=0

Non-working version:
# rpm -qa | grep traceroute
traceroute-1.4a12-24.EL4.1
# traceroute google.com
traceroute: Warning: google.com has multiple addresses; using 72.14.207.99
traceroute to google.com (72.14.207.99), 30 hops max, 38 byte packets
 1 gateway (64.72.120.1) 1.412 ms 0.301 ms 1.370 ms
 2 t4-4.mpd01.iah01.atlas.cogentco.com (38.99.214.53) 0.399 ms 1.381 ms 1.369 ms
Icmp checksum is wrong
 3 t4-2.mpd01.mci01.atlas.cogentco.com (154.54.5.218) 27.644 msIcmp checksum is wrong
  26.469 msIcmp checksum is wrong
  27.551 ms
Icmp checksum is wrong

TagsNo tags attached.

Activities

range

range

2007-06-28 09:52

administrator   ~0005498

I have verified, the bug does exist.

Can you also file that bug at http://bugzilla.redhat.com/ and link back and forth between the bug here and there?

If you don't want to do that, we can do it for you, just ask :)

Cheers,

Ralph
DaveT

DaveT

2007-07-19 19:34

reporter   ~0005621

Hi Ralph,

Please could you raise this issue with the upstream providers so that it gets looked at? At the moment there's nothing that I could see on the upstream bugzilla that might be tracking this problem.

Thanks,
Dave.
range

range

2007-07-20 09:18

administrator   ~0005623

Done. It's https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=249001 there.
range

range

2008-09-10 08:45

administrator   ~0007942

traceroute-1.4a12-26.EL4.1 will be in the CentOS 4 fasttrack repository shortly, where this bug has been fixed.

See http://rhn.redhat.com/errata/RHBA-2008-0883.html for details

Issue History

Date Modified Username Field Change
2007-06-28 04:43 mack New Issue
2007-06-28 04:43 mack Status new => assigned
2007-06-28 09:52 range Note Added: 0005498
2007-06-28 09:52 range Status assigned => confirmed
2007-07-19 19:34 DaveT Note Added: 0005621
2007-07-20 09:18 range Note Added: 0005623
2008-09-10 08:45 range Status confirmed => closed
2008-09-10 08:45 range Note Added: 0007942
2008-09-10 08:45 range Resolution open => fixed
2008-09-10 08:45 range Fixed in Version => 4.7